<?php
/**
 * Welcome Page
 *
 * @package Elara
 */
/**
 * Include Welcome page class
 */
require_once get_template_directory() . '/welcome-page/class.welcomepage.php';

/**
 * Welcome page config
 */
$config = array(
	'menu_label'       => esc_html__( 'Welcome to Elara', 'elara' ),
	'page_title'       => esc_html__( 'Welcome to Elara', 'elara' ),
	/* Translators: Theme name */
	'welcome_title'   => sprintf( esc_html__( 'Welcome to %s v', 'elara' ), 'Elara' ),
	// 'welcome_content' => '',
	/**
	 * Tabs
	 */
	'tabs' => array(
		'getting_started' => esc_html__( 'Getting Started', 'elara' ),
		'support'         => esc_html__( 'Support', 'elara' ),
		'free_vs_pro'     => esc_html__( 'Free vs Pro', 'elara' ),
	),
	/**
	 * Getting started tab
	 */
	'getting_started' => array(
		'cards' => array(
			'one' => array(
				'title'       => esc_html__( 'Required Actions', 'elara' ),
				'description' => esc_html__( 'Be sure to install and activate the Kirki plugin. It is required to make full use of the customization features of this theme.', 'elara' ),
				'btn_label'   => esc_html__( 'Install Plugins', 'elara' ),
				'btn_url'     => esc_url( admin_url( 'themes.php?page=tgmpa-install-plugins' ) ),
			),
			'two' => array(
				'title'       => esc_html__( 'Documentation', 'elara' ),
				'description' => esc_html__( 'For more information on how to fully utilize all the features of Elara, please review the full documentation.', 'elara' ),
				'btn_label'   => esc_html__( 'Documentation', 'elara' ),
				'btn_url'     => esc_url( 'https://help.lyrathemes.com/#collection-64' ),
			),
			'three' => array(
				'title'       => esc_html__( 'Customize and Set Up', 'elara' ),
				'description' => esc_html__( 'Use the WordPress Customizer to set up and customize your website. Click the button below, or go to Appearance > Customize.', 'elara' ),
				'btn_label'   => esc_html__( 'Go to the Customizer', 'elara' ),
				'btn_url'     => esc_url( admin_url( 'customize.php' ) ),
			),
		),
	),

	/**
	 * Support tab
	 */
	'support' => array(
		'cards' => array(
			'one' => array(
				'title'       => esc_html__( 'Contact Support', 'elara' ),
				'description' => esc_html__( "If you need any help with theme set up, options, enhancements, or about how a feature works, please feel free to reach out and we'd be happy to assist. LyraThemes has a world class support team, and we try our best to respond to all queries within 24-48 hours.", "elara" ),
				'btn_label'   => esc_html__( 'Contact Support', 'elara' ),
				'btn_url'     => esc_url( 'https://www.lyrathemes.com/support/' ),
			),
			'two' => array(
				'title'       => esc_html__( 'Documentation', 'elara' ),
				'description' => esc_html__( 'For more information on how to fully utilize all the features of Elara, please review the full documentation. We have tried to add as much information as possible, including screenshots and videos, to help you make the most of this theme.', 'elara' ),
				'btn_label'   => esc_html__( 'Documentation', 'elara' ),
				'btn_url'     => esc_url( 'https://help.lyrathemes.com/#collection-64' ),
			),
		),
	),

	/**
	 * Free vs Pro tab
	 */
	'free_vs_pro' => array(
		'free'         => esc_html__( 'Elara', 'elara' ),
		'pro'          => esc_html__( 'Elara Pro', 'elara' ),
		'pro_url'      => esc_url( 'https://www.lyrathemes.com/elara-pro/' ),
        'compare_url'  => esc_url( 'https://www.lyrathemes.com/elara/#comparison' ),
		'features' => array(
            // Pro only features
			array(
				'title' => esc_html__( 'Built-in Promo Box (Sidebar)', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Built-in Promo Box (Front Page)', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( '"Shop This Post" - Product Recommendation / Affiliate System', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Floating Social Media Bar', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Optional Sticky/Fixed Main Menu', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
                    
            array(
				'title' => esc_html__( 'Special Recipe Index Template', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Recipe Index with Search and Filter Integration', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Recipe Shortcode Builder', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Front Page Custom Slider', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Google Friendly Recipe Cards (Printable)', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Built-in Ads', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Built-in About Me Widget', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Built-in MailChimp Integration', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( '600+ Google Fonts / Typography', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Unlimited Color Schemes', 'elara' ),
				'free'  => false,
				'pro'   => true,
			),
			// Free and pro features
			array(
				'title' => esc_html__( 'Front Page Without Sidebar (Full Width)', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
			array(
				'title' => esc_html__( 'Front Page Sidebar Below Banner', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
			array(
				'title' => esc_html__( 'Front Page Sidebar Besides Banner', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
			array(
				'title' => esc_html__( 'Front Page Without Banner/Slider', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
			array(
				'title' => esc_html__( 'Front Page Featured Categories', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
			array(
				'title' => esc_html__( 'Front Page Highlight Post', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
            			array(
				'title' => esc_html__( 'Special Category Template', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Posts Sidebar Options', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Optional Full Width Posts and Pages', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Video Posts', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Integration with WP Instagram Widget', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Easy to Create Social Media Icon Menus', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Header and Footer Area Widgets', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
            array(
				'title' => esc_html__( 'Multiple Footer Widget Options', 'elara' ),
				'free'  => true,
				'pro'   => true,
			),
			
		),
	),
);
/**
 * Initialize Welcome page
 */
Elara_Welcome_Page::init( apply_filters( 'elara_welcome_page_config', $config ) );
